# $Revision: 1.17 $, $Date: 2012/03/28 07:27:19 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc

%define		gst_major_ver	0.10
%define		gst_req_ver	0.10.30
%define		gstpb_req_ver	0.10.30
Summary:	GStreamer extension library for non-linear editing
Summary(pl.UTF-8):	Biblioteka rozszerzenia GStreamera do edycji nieliniowej
Name:		gstreamer-gnonlin
Version:	0.10.17
Release:	2
License:	LGPL v2+
Group:		Applications/Multimedia
Source0:	http://gstreamer.freedesktop.org/src/gnonlin/gnonlin-%{version}.tar.bz2
# Source0-md5:	0c9e5a8f771b087fac9afa459399112e
URL:		http://gnonlin.sourceforge.net/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.22
BuildRequires:	gstreamer-devel >= %{gst_req_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_req_ver}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.1
Requires:	glib2 >= 1:2.22
Requires:	gstreamer >= %{gst_req_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_req_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnonlin is a plugin for GStreamer which provides support for writing
non-linear audio and video editing applications. It introduces the
concept of a timeline.

%description -l pl.UTF-8
Gnonlin to wtyczka dla GStreamera pozwalająca na pisanie aplikacji do
nieliniowej edycji dźwięku i obrazu. Wprowadza pojęcia "linii czasu".

%package apidocs
Summary:	Gnonlin API documentation
Summary(pl.UTF-8):	Dokumentacja API Gnonlin
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Gnonlin API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Gnonlin.

%prep
%setup -q -n gnonlin-%{version}

%build
%configure \
	--disable-silent-rules \
	--disable-static \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_major_ver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README RELEASE
%attr(755,root,root) %{_libdir}/gstreamer-%{gst_major_ver}/libgnl.so

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnonlin-0.10
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gstreamer-gnonlin.spec,v $
Revision 1.17  2012/03/28 07:27:19  arekm
- release 2

Revision 1.16  2011/02/06 01:45:39  sparky
- bconds should be the very first thing, moved defines and includes after them

Revision 1.15  2011/01/27 21:05:25  sparky
- BR: docbook-dtd412-xml

Revision 1.14  2011/01/22 13:20:21  qboosh
- updated to 0.10.17

Revision 1.13  2011/01/02 10:09:53  qboosh
- updated BRs
- disable silent-rules

Revision 1.12  2010/10/18 20:57:40  caleb
- Up to 0.10.16, adapterized

Revision 1.11  2010/05/31 08:50:46  patrys
- 0.10.15

Revision 1.10  2009/09/12 14:04:58  patrys
- 0.10.13

Revision 1.9  2009/05/24 12:20:42  patrys
- 0.10.11

Revision 1.8  2008/11/11 11:18:34  wiget
- updated to 0.10.10
- added apidoc subpackage

Revision 1.7  2007/08/30 19:35:03  qboosh
- updated to 0.10.9

Revision 1.6  2007/05/11 22:00:27  qboosh
- updated to 0.10.8

Revision 1.5  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2007/01/30 23:14:00  qboosh
- updated to 0.10.7

Revision 1.2  2006/11/30 22:02:07  qboosh
- updated to 0.10.6

Revision 1.1  2006/07/23 11:41:15  qboosh
- new
